unit Prtdemo;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Printsel, ExtCtrls;

type
  TFormPrinterDialog = class(TForm)
    Panel1: TPanel;
    ButtonSetPaper: TButton;
    ButtonSetPrinter: TButton;
    EditSetPrinter: TEdit;
    EditSetPaper: TEdit;
    ButtonSetBin: TButton;
    EditSetBin: TEdit;
    ComboPrinters: TComboBox;
    ComboPaperSizes: TComboBox;
    ComboBinSource: TComboBox;
    Label1: TLabel;
    CheckOrientation: TCheckBox;
    Panel2: TPanel;
    ButtonSaveSettings: TButton;
    ButtonLoadSettings: TButton;
    Panel3: TPanel;
    Label2: TLabel;
    EditSection: TEdit;
    Panel4: TPanel;
    ButtonPrintForm: TButton;
    PrinterDefinition1: TPrinterDefinition;
    procedure FormActivate(Sender: TObject);
    procedure ButtonSetPaperClick(Sender: TObject);
    procedure ButtonSetPrinterClick(Sender: TObject);
    procedure ButtonSetBinClick(Sender: TObject);
    procedure ButtonSaveSettingsClick(Sender: TObject);
    procedure ButtonLoadSettingsClick(Sender: TObject);
    procedure ButtonPrintFormClick(Sender: TObject);

    procedure ComboPrintersChange(Sender: TObject);
    procedure ComboPaperSizesChange(Sender: TObject);
    procedure ComboBinSourceChange(Sender: TObject);

    procedure PrinterDefinition1PrinterChange(Sender: TObject);
    procedure PrinterDefinition1PaperChange(Sender: TObject);
    procedure PrinterDefinition1BinChange(Sender: TObject);
    procedure PrinterDefinition1OrientationChange(Sender: TObject);

    procedure CheckOrientationClick(Sender: TObject);
    procedure EditSectionChange(Sender: TObject);
  end;

var
  FormPrinterDialog: TFormPrinterDialog;

implementation

{$R *.DFM}

procedure TFormPrinterDialog.FormActivate(Sender: TObject);
begin
  EditSection.Text:=PrinterDefinition1.Section;
end;

procedure TFormPrinterDialog.ButtonSetPaperClick(Sender: TObject);
begin
  PrinterDefinition1.PaperSize:=EditSetPaper.Text;
end;

procedure TFormPrinterDialog.ButtonSetPrinterClick(Sender: TObject);
begin
  PrinterDefinition1.PrinterName:=EditSetPrinter.Text;
end;

procedure TFormPrinterDialog.ButtonSetBinClick(Sender: TObject);
begin
  PrinterDefinition1.BinSource:=EditSetBin.Text;
end;

procedure TFormPrinterDialog.ButtonSaveSettingsClick(Sender: TObject);
begin
  PrinterDefinition1.StoreProfile;
end;

procedure TFormPrinterDialog.ButtonLoadSettingsClick(Sender: TObject);
begin
  PrinterDefinition1.ReadProfile;
end;

procedure TFormPrinterDialog.ButtonPrintFormClick(Sender: TObject);
begin
  Print;
end;

procedure TFormPrinterDialog.ComboPrintersChange(Sender: TObject);
begin
  PrinterDefinition1.PrinterName:=ComboPrinters.Items[ComboPrinters.ItemIndex];
end;

procedure TFormPrinterDialog.ComboPaperSizesChange(Sender: TObject);
begin
  PrinterDefinition1.PaperSize:=ComboPaperSizes.Items[ComboPaperSizes.ItemIndex];
end;

procedure TFormPrinterDialog.ComboBinSourceChange(Sender: TObject);
begin
  PrinterDefinition1.BinSource:=ComboBinSource.Items[ComboBinSource.ItemIndex];
end;

procedure TFormPrinterDialog.PrinterDefinition1PrinterChange(Sender: TObject);
begin
  ComboPrinters.Items.Assign(PrinterDefinition1.Printers);
  ComboPrinters.ItemIndex:=ComboPrinters.Items.IndexOf(PrinterDefinition1.PrinterName);
end;

procedure TFormPrinterDialog.PrinterDefinition1PaperChange(Sender: TObject);
begin
  ComboPaperSizes.Items.Assign(PrinterDefinition1.PaperSizes);
  ComboPaperSizes.ItemIndex:=ComboPaperSizes.Items.IndexOf(PrinterDefinition1.PaperSize);
end;

procedure TFormPrinterDialog.PrinterDefinition1BinChange(Sender: TObject);
begin
  ComboBinSource.Items.Assign(PrinterDefinition1.BinSources);
  ComboBinSource.ItemIndex:=ComboBinSource.Items.IndexOf(PrinterDefinition1.BinSource);
end;

procedure TFormPrinterDialog.PrinterDefinition1OrientationChange(Sender: TObject);
begin
  CheckOrientation.Checked:=PrinterDefinition1.Orientation=Landscape;
end;

procedure TFormPrinterDialog.CheckOrientationClick(Sender: TObject);
begin
  if CheckOrientation.Checked then PrinterDefinition1.Orientation:=Landscape
                              else PrinterDefinition1.Orientation:=Portrait;
end;

procedure TFormPrinterDialog.EditSectionChange(Sender: TObject);
begin
  PrinterDefinition1.Section:=EditSection.Text;
end;

end.
